<?php
// Database Configuration
define('DB_FILE', __DIR__ . '/../data/accounting_system.sqlite');

// Error Reporting Settings
define('DEBUG_MODE', true);
if (DEBUG_MODE) {
    ini_set('display_errors', 1);
    ini_set('display_startup_errors', 1);
    error_reporting(E_ALL);
} else {
    ini_set('display_errors', 0);
    error_reporting(0);
}

// Environment Settings
define('ENVIRONMENT', 'development');
date_default_timezone_set('Africa/Johannesburg');

// Security Settings
define('SESSION_LIFETIME', 3600);

// Logging Settings
define('LOG_FILE', __DIR__ . '/../logs/system.log');

// General Application Settings
define('APP_NAME', 'DONNOTEC Double Entry Accounting System');
define('DEFAULT_LANGUAGE', 'en');

/**
 * ------------------------------------------------------------------
 * Define ONLY the account codes that are actually referenced in
 * financial_periods.php (or that you need elsewhere).
 * ------------------------------------------------------------------
 */

define('NET_INCOME_ACC_CODE', '3250');
define('RETAINED_EARNINGS_ACC_CODE', '3200');

define('VAT_CONTROL_ACC_CODE', '2120');
define('VAT_PAYABLE_ACC_CODE', '2121');
define('VAT_RECEIVABLE_ACC_CODE', '2122');

define('ACCOUNTS_RECEIVABLE_ACC_CODE', '1120');
define('ACCOUNTS_PAYABLE_ACC_CODE', '2110');

define('CASH_BANK_ACC_CODE', '1130');

define('EXPENCE_ACC_CODE', '5000');
define('INCOME_ACC_CODE', '4000');

define('UNALLOCATED_ACC_CODE', '1300');


define('INTERNAL_PDF_VIEWER', true);
?>
