<?php
// Query license info each time we render the footer
$licenseRow = null;
try {
    $licenseStmt = $pdo->query("SELECT license_type, end_date FROM license_info LIMIT 1");
    $licenseRow = $licenseStmt->fetch(PDO::FETCH_ASSOC);
} catch (Exception $ex) {
    // fail gracefully
}

$programStatus = 'Unregistered';
if ($licenseRow) {
    $type = strtolower($licenseRow['license_type'] ?? 'unregistered');
    if ($type !== 'unregistered') {
        // Check if expired
        $end = $licenseRow['end_date'] ?? null;
        if ($end && $end < date('Y-m-d')) {
            $programStatus = 'Expired';
        } else {
            $programStatus = 'Registered';
        }
    }
}
?>
</main>
<footer>
    <p>&copy; <?php echo date("Y"); ?> DONNOTEC Double Entry Accounting System
       <strong>(<?php echo htmlspecialchars($programStatus); ?>)</strong>
       - <a style="text-decoration: none;color:white;" href="license.php">View License</a>
    </p>
</footer>
</body>
</html>
