<?php
//require_once('components/auth.php'); // Ensure hasRole() function is available
if (!isset($_SESSION['username'])) : ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<title>Double Entry Accounting</title>
<link rel="stylesheet" href="css/style.css">
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="js/script.js" defer></script>
</head>
<body>
<main>
<?php else : ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<title>Double Entry Accounting</title>
<link rel="stylesheet" href="css/style.css">
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="js/script.js" defer></script>
</head>
<body>
<nav>
<?php
// Fetch menu items from database
$stmt = $pdo->prepare("SELECT * FROM menu_items WHERE is_visible = 1 ORDER BY order_num ASC");
$stmt->execute();
$menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Filter menu items based on user's roles
$filteredMenuItems = array_filter($menuItems, function($item) {
    if (empty($item['required_role'])) {
        return true;
    }
    return hasRole($item['required_role']);
});

// Build menu items by id
$menuItemsById = [];
foreach ($filteredMenuItems as $item) {
    $item['children'] = [];
    $menuItemsById[$item['id']] = $item;
}

// Build the tree
$menuTree = [];
foreach ($menuItemsById as $id => &$item) {
    if ($item['parent_id']) {
        $parentId = $item['parent_id'];
        if (isset($menuItemsById[$parentId])) {
            $menuItemsById[$parentId]['children'][] =& $item;
        }
    } else {
        $menuTree[] =& $item;
    }
}

// Function to render the menu
function renderMenu($menuTree) {

    foreach ($menuTree as $item) {
        echo '<li>';
        if ($item['url']) {
            echo '<a href="' . htmlspecialchars($item['url']) . '" >' . htmlspecialchars($item['name']) . '</a>';
        } else {
            echo '<a href="#">' . htmlspecialchars($item['name']) . '</a>';
        }
        if (!empty($item['children'])) {
            echo '<ul class="dropdown">';
            renderMenu($item['children']);
            echo '</ul>';
        }
        echo '</li>';
    }

}

echo '<ul>';
renderMenu($menuTree);
echo '</ul>';
?>
</nav>
<main>
<?php endif; ?>
