<?php
session_start();
require_once('../core/users.php');
require_once('components/auth.php');

// Add role check for 'users_delete'
if (!checkRole(['users_delete'])) {
    $_SESSION['error_message'] = 'Access denied. You do not have permission to delete users.';
    header('Location: users.php');
    exit;
}

if (!isset($_GET['id']) || empty(trim($_GET['id']))) {
    $_SESSION['error_message'] = "Invalid user ID.";
    header('Location: users.php');
    exit;
}
$userIdToDelete = (int)trim($_GET['id']);
$currentUserId = $_SESSION['user_id'] ?? 0;
if ($userIdToDelete === $currentUserId) {
    $_SESSION['error_message'] = "You cannot delete your own account.";
    header('Location: users.php');
    exit;
}
$user = getUser($pdo, $userIdToDelete);
if (empty($user)) {
    $_SESSION['error_message'] = "User not found.";
    header('Location: users.php');
    exit;
}
$deleted = deleteUser($pdo, $userIdToDelete);
$_SESSION[$deleted ? 'success_message' : 'error_message'] = $deleted
    ? "User [{$user['username']}] has been successfully deleted."
    : "Failed to delete user [{$user['username']}]. Please try again.";
header('Location: users.php');
exit;
?>
