<?php
require_once('../../../../config/config.php');
require_once('../../../../core/financial_periods.php');

/**
 * AJAX endpoint to populate the Financial Period select
 */
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['ajax']) && $_GET['ajax'] === 'periods') {
    header('Content-Type: application/json');
    $financialPeriods = listFinancialPeriods($pdo);
    $output = [];

    foreach ($financialPeriods as $fp) {
        $output[] = [
            'id'         => (string)$fp['id'],
            'name'       => $fp['name'],
            'start_date' => $fp['start_date'],
            'end_date'   => $fp['end_date']
        ];
    }
    echo json_encode($output);
    exit;
}

/**
 * Handling final POST from the type dialog
 */
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $fpId      = $_POST['financial_period_id'] ?? '';
    $startDate = $_POST['start_date'] ?? '';
    $endDate   = $_POST['end_date']   ?? '';

    // Return final dialogData in JSON
    echo json_encode([
        'success' => true,
        'data' => [
            'financial_period_id' => $fpId,
            'start_date'         => $startDate,
            'end_date'           => $endDate
        ]
    ]);
    exit;
}

// If we reach here, invalid request
echo json_encode(['success' => false, 'message' => 'Invalid request']);

