<?php
require_once('../../../../config/config.php');
require_once('../../../../core/financial_periods.php');

// If called with ?ajax=periods, return list of available financial periods in JSON
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['ajax']) && $_GET['ajax'] === 'periods') {
    header('Content-Type: application/json');
    $financialPeriods = listFinancialPeriods($pdo);
    $output = [];
    foreach ($financialPeriods as $fp) {
        $output[] = [
            'id' => (string)$fp['id'],
            'name' => $fp['name'],
            'start_date' => $fp['start_date'],
            'end_date' => $fp['end_date']
        ];
    }
    echo json_encode($output);
    exit;
}

// If POST, we expect 'financial_period_id', 'start_date', 'end_date'
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $fpId = $_POST['financial_period_id'] ?? '';
    $sDate = $_POST['start_date'] ?? '';
    $eDate = $_POST['end_date'] ?? '';
    // Return success JSON with data
    echo json_encode([
        'success' => true,
        'data' => [
            'financial_period_id' => $fpId,
            'start_date' => $sDate,
            'end_date' => $eDate
        ]
    ]);
    exit;
}

// Otherwise, invalid request
echo json_encode(['success' => false, 'message' => 'Invalid request']);

