<?php
require_once('../../../../config/config.php');
require_once('../../../../core/vat_periods.php');

/**
 * Similar to balancesheet's dialog.php but for listing VAT periods.
 * If ?ajax=periods => returns list of VAT periods for the drop-down.
 * If POST => returns JSON containing selected data for the layout's dialogData.
 */
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['ajax']) && $_GET['ajax'] === 'periods') {
    header('Content-Type: application/json');
    $vatPeriods = listVATPeriods($pdo);
    $output = [];
    foreach ($vatPeriods as $vp) {
        $output[] = [
            'id'   => (string)$vp['id'],
            'name' => $vp['name'] . ' (' . $vp['start_date'] . ' to ' . $vp['end_date'] . ')'
        ];
    }
    echo json_encode($output);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $vpId      = $_POST['vat_period_id'] ?? '';
    $startDate = $_POST['start_date']    ?? '';
    $endDate   = $_POST['end_date']      ?? '';

    // Return data to be stored in layout's dialogData
    echo json_encode([
        'success' => true,
        'data' => [
            'vat_period_id' => $vpId,
            'start_date'    => $startDate,
            'end_date'      => $endDate
        ]
    ]);
    exit;
}

echo json_encode(['success' => false, 'message' => 'Invalid request']);

