<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once('../core/accounts.php');
require_once('components/auth.php');

// Add role check for 'accounts_export'
if (!checkRole(['accounts_export'])) {
    $_SESSION['error_message'] = $_SESSION['error_message'] ?? 'Access denied. You do not have permission to export accounts.';
    header('Location: accounts.php');
    exit;
}

$accounts = listAccounts($pdo);
$filename = 'accounts_export_' . date('Y-m-d') . '.csv';
header('Content-Type: text/csv; charset=utf-8');
header('Content-Disposition: attachment; filename=' . $filename);
$output = fopen('php://output', 'w');
fputcsv($output, ['code', 'name', 'description', 'account_type', 'parent']);
foreach ($accounts as $account) {
    $row = [
        $account['code'],
        $account['name'],
        $account['description'],
        $account['account_type'],
        $account['parent']
    ];
    fputcsv($output, $row);
}
fclose($output);
exit;
?>
