$(document).ready(function(){
    // Close the modal when "X" is clicked
    $(document).on('click', '.close-modal', function() {
        $(this).parent('.modal').fadeOut();
    });

    // Display the success modal if it exists
    if ($('.modal.success').length) {
        $('.modal.success').fadeIn();

        // Automatically hide the modal after 5 seconds
        setTimeout(function() {
            $('.modal.success').fadeOut();
        }, 5000); // 5 seconds
    }

    // Display the error modal if it exists
    if ($('.modal.error').length) {
        $('.modal.error').fadeIn();

        // Automatically hide the modal after 5 seconds
        setTimeout(function() {
            $('.modal.error').fadeOut();
        }, 5000); // 5 seconds
    }

    // Display the import result modal if it exists
    if ($('.modal.import-result').length) {
        $('.modal.import-result').fadeIn();

        // Automatically hide the modal after 7 seconds
        setTimeout(function() {
            $('.modal.import-result').fadeOut();
        }, 7000); // 7 seconds
    }

    // Handle Export button click
    $('#export-button').on('click', function(e) {
        e.preventDefault(); // Prevent the default link behavior
        // Show the export success modal
        $('.modal.export-success').fadeIn();
        // Trigger the download after a short delay to ensure the modal appears
        setTimeout(function() {
            window.location.href = 'export_accounts.php';
        }, 500); // 0.5 seconds delay
    });

    // Display the export success modal if it exists (in case of direct access)
    if ($('.modal.export-success').length) {
        $('.modal.export-success').fadeIn();
        setTimeout(function() {
            $('.modal.export-success').fadeOut();
        }, 5000); // 5 seconds
    }

    // Confirm deletion
    $('a.delete-button').on('click', function(e){
        if(!confirm('Are you sure you want to delete this account? This action cannot be undone.')){
            e.preventDefault();
        }
    });

    // Dropdown menu functionality
    $('nav ul li').hover(
        function() {
            $(this).find('ul.dropdown').stop(true, true).slideDown(200);
        },
        function() {
            $(this).find('ul.dropdown').stop(true, true).slideUp(200);
        }
    );
});
