<?php
// pdf_proxy.php
session_start(); // if you need session logic, else remove

// 1) read the combined string from "f="
$query = isset($_GET['f']) ? $_GET['f'] : '';
$query = urldecode($query);

if (!$query) {
    http_response_code(404);
    exit("No parameter provided.");
}

// 2) find ".pdf" in the string
$pos = stripos($query, '.pdf');
if ($pos === false) {
    http_response_code(404);
    exit("No .pdf found in combined parameter.");
}
// the filename includes .pdf
$pos += 4; // skip length of ".pdf"

// the part before (and including) .pdf is the PDF filename
$filename = substr($query, 0, $pos);

// check for "@@" separator after .pdf
$sep = substr($query, $pos, 2); // e.g. '@@'
if ($sep !== '@@') {
    http_response_code(404);
    exit("Missing '@@' after .pdf in combined param.");
}

// the rest is the username
$username = substr($query, $pos + 2);

// build path: temp/username/filename
$userDir = __DIR__ . DIRECTORY_SEPARATOR. 'temp'. DIRECTORY_SEPARATOR . basename($username);
$filePath = $userDir . DIRECTORY_SEPARATOR . basename($filename);

if (!is_file($filePath)) {
    http_response_code(404);
    exit("File not found in user subfolder.");
}

// 3) serve PDF with correct headers
header('Content-Type: application/pdf');
header('Content-Disposition: inline; filename="' . basename($filename) . '"');
readfile($filePath);
exit;
