<?php
// router.php

// Get the decoded request URI.
$requestUri = urldecode(parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH));

// Resolve the full path of the requested file.
$filePath = __DIR__ . $requestUri;

// If the URI corresponds to a directory, check if an index file exists.
if (is_dir($filePath)) {
    $indexFile = rtrim($filePath, '/') . '/index.php';
    if (file_exists($indexFile)) {
        return false; // Serve the directory index file.
    }
}
// SNIPPET: Serve .mjs files with correct MIME type
if (substr($filePath, -4) === '.mjs' && is_file($filePath)) {
    header('Content-Type: application/javascript');
    readfile($filePath);
    exit;
}
// If the file exists and isn't the root, let PHP's built-in server handle it.
if ($requestUri !== '/' && file_exists($filePath)) {
    return false;
}

// Otherwise, no matching file was found.
// Send a 404 HTTP response and include your custom error page.
http_response_code(404);
require 'error/404.php';

